﻿import type { AppRouteModule } from '@/router/types';

import { EMAILLAYOUT } from '@/router/constant';

const email: AppRouteModule = {
  path: '/email',
  name: 'Email',
  component: EMAILLAYOUT,
  redirect: '/email/index',
  meta: {
    orderNo: 10,
    icon: 'mdi:email',
    title: '邮件',
    hideTab: true,
    hideChildrenInMenu: true,
    // hideMenu:true
  },
  children: [
    {
      path: 'Inbox',
      name: 'Inbox',
      component: () => import('@/views/email/Inbox/index.vue'),
      meta: {
        title: '收件箱',
      },
      children: [
        {
          path: 'list',
          name: 'InboxPage1',
          component: () => import('@/views/email/Inbox/index.vue'),
          meta: {
            title: '全部邮件',
          },
        },
        // {
        //   path: 'list/:id',
        //   name: 'EmailPage2',
        //   component: () => import('@/views/email/UnreadEmail/user.vue'),
        //   meta: {
        //     title: '222',
        //     currentActiveMenu: '/email/index',
        //   },
        // },
      ],
    },
    {
      path: 'index',
      name: 'Index',
      component: () => import('@/views/email/UnreadEmail/index.vue'),
      meta: {
        title: '未读邮件',
      },
    },
    {
      path: 'utils',
      name: 'Utils',
      component: () => import('@/views/email/Utils/index.vue'),
      meta: {
        title: '邮件配置',
        hideTab: true,
        hideMenu: true,
        currentActiveMenu: '/email/index',
      },
    },
    {
      path: 'edit',
      name: 'Edit',
      component: () => import('@/views/email/Edit/index.vue'),
      meta: {
        title: '编辑邮件',
        hideTab: true,
        hideMenu: true,
        currentActiveMenu: '/email/index',
      },
    },
    {
      path: 'HandlingEmailsOnBehalfOfOthers',
      name: 'HandlingEmailsOnBehalfOfOthers',
      component: () => import('@/views/email/HandlingEmailsOnBehalfOfOthers/index.vue'),
      meta: {
        title: '待处理邮件',
        hideTab: true,
      },
    },

    {
      path: 'Drafts',
      name: 'Drafts',
      component: () => import('@/views/email/Drafts/index.vue'),
      meta: {
        title: '草稿箱',
        hideTab: true,
      },
    },
    {
      path: 'outbox',
      name: 'Outbox',
      component: () => import('@/views/email/outbox/index.vue'),
      meta: {
        title: '发件箱',
        hideTab: true,
        currentActiveMenu: '/email/index',
      },
      children: [
        {
          path: 'list',
          name: 'Outbox',
          component: () => import('@/views/email/outbox/index.vue'),
          meta: {
            title: '全部邮件',
            currentActiveMenu: '/email/index',
          },
        }]
    },
    // {
    //   path: 'MassMailbox',
    //   name: 'MassMailbox',
    //   component: () => import('@/views/email/Edit/index.vue'),
    //   meta: {
    //     title: '群发箱',
    //     hideTab: true,
    //     currentActiveMenu: '/email/index',
    //   },
    // },
  ],
};

export default email;
